Skip to main content
`Ctrl`+`K`

# PEPStoppingBasic

Default routine to determine whether the outer eigensolver iteration must be stopped.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPStoppingBasic(PEP pep,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nev,PEPConvergedReason *reason,void *ctx)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- its - current number of iterations

- max_it - maximum number of iterations

- nconv - number of currently converged eigenpairs

- nev - number of requested eigenpairs

- ctx - context (not used here)

## Output Parameter

- reason - result of the stopping test

## Notes

`PEPStoppingBasic()` will stop if all requested eigenvalues are converged, or if the maximum number of iterations has been reached.

This is the default stopping test. Use `PEPSetStoppingTest()` to provide your own test instead of using this one.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetStoppingTest()`, `PEPConvergedReason`, `PEPGetConvergedReason()`

## Level

advanced

## Location

src/pep/interface/pepdefault.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages